import { IMidwayFramework, IMidwayBootstrapOptions } from '@midwayjs/core';
export declare function isTypeScriptEnvironment(): boolean;
export declare class BootstrapStarter {
    private appDir;
    private bootstrapItems;
    private globalOptions;
    configure(options: Partial<IMidwayBootstrapOptions>): this;
    load(unit: IMidwayFramework<any>): this;
    init(): Promise<void>;
    run(): Promise<void>;
    stop(): Promise<void>;
    getActions(action: string, args?: any): any[];
    private getBaseDir;
}
export declare class Bootstrap {
    static starter: BootstrapStarter;
    /**
     * set global configuration for midway
     * @param configuration
     */
    static configure(configuration: Partial<IMidwayBootstrapOptions>): typeof Bootstrap;
    /**
     * load midway framework unit
     * @param unit
     */
    static load(unit: IMidwayFramework<any>): typeof Bootstrap;
    private static getStarter;
    static run(): Promise<void>;
    static stop(): Promise<void>;
    /**
     * on bootstrap receive a exit signal
     * @param signal
     */
    static onSignal(signal: any): Promise<void>;
    /**
     * on bootstrap process exit
     * @param code
     */
    static onExit(code: any): void;
}
//# sourceMappingURL=bootstrap.d.ts.map